Subject: Re: Scripted clone generating an incomplete, unusable .git/config

From: Stefan Naewe <[email-masked]>
Date: Thu, 11 Nov 2010 09:00:43 +0100

On 11/11/2010 8:55 AM, Stefan Naewe wrote:
> On 11/11/2010 12:21 AM, Dun Peal wrote:
>>
>> Here's a bash log fully demonstrating the issue:
>>
>>   $ python -c "import os; os.popen('git clone
>> [email-masked]:repos/repo.git')"
>>   [...]
>> What's causing this?  Is it a bug?
> 
> Same for me with git version 1.7.3.2 on Debian Etch.

Make that 'Debian Lenny (5.0.6)' FWIW...

> Seems to be a problem with the popen() returning too early or
> the interpreter dying too early.

I forgot to say:

...because it works if I do it interactivley in the python shell.
 
> This works though:
> 
> $ python -c "import subprocess; subprocess.call(['git', 'clone', 'git://host/repoo.git'])"
 
Regards,
  Stefan
-- 
----------------------------------------------------------------
/dev/random says: I is knot dain bramaged!